It's correct, you need the firmware for that device....

It's correct, you need the firmware for that device.

Here's something else that may help. https://help.ubuntu.com/community/WifiDocs/WirelessTroubleShootingGuide

That is a really comprehensive wifi troubleshooting guide.

Click Here!